#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeframever	5.101
%define		qtver		5.15.2
%define		kfname		kded

Summary:	Central daemon of KDE work spaces
Summary(pl.UTF-8):	Centralny demon przestrzeni roboczych KDE
Name:		kf5-%{kfname}
Version:	5.101.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	341e5c4786c51aab9da709f9ccedace9
URL:		https://kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kcrash-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kdoctools-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-dirs
Requires:	kf5-kconfig >= %{version}
Requires:	kf5-kcoreaddons >= %{version}
Requires:	kf5-kcrash >= %{version}
Requires:	kf5-kdbusaddons >= %{version}
Requires:	kf5-kservice >= %{version}
Requires:	systemd-units >= 1:250.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KDED stands for KDE Daemon which isn't very descriptive. KDED runs in
the background and performs a number of small tasks. Some of these
tasks are built in, others are started on demand.

%description -l pl.UTF-8
KDED to skrót od KDE Daemon, co nie mówi zbyt wiele. KDED działa w tle
i wykonuje wiele małych zadań. Niektóre są wbudowane, inne uruchamiane
w razie potrzeby.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%systemd_user_post plasma-kded.service

%preun
%systemd_user_preun plasma-kded.service

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kded5
%{_datadir}/dbus-1/interfaces/org.kde.kded5.xml
%{_datadir}/dbus-1/services/org.kde.kded5.service
%{_datadir}/kservicetypes5/kdedmodule.desktop
%{_datadir}/qlogging-categories5/kded.categories
%{_mandir}/man8/kded5.8*
%{_desktopdir}/org.kde.kded5.desktop
%lang(ca) %{_mandir}/ca/man8/kded5.8*
%lang(de) %{_mandir}/de/man8/kded5.8*
%lang(es) %{_mandir}/es/man8/kded5.8*
%lang(fr) %{_mandir}/fr/man8/kded5.8*
%lang(it) %{_mandir}/it/man8/kded5.8*
%lang(nl) %{_mandir}/nl/man8/kded5.8*
%lang(pt) %{_mandir}/pt/man8/kded5.8*
%lang(pt_BR) %{_mandir}/pt_BR/man8/kded5.8*
%lang(ru) %{_mandir}/ru/man8/kded5.8*
%lang(sv) %{_mandir}/sv/man8/kded5.8*
%lang(uk) %{_mandir}/uk/man8/kded5.8*
%{systemduserunitdir}/plasma-kded.service
%{_datadir}/qlogging-categories5/kded.renamecategories

%files devel
%defattr(644,root,root,755)
%{_libdir}/cmake/KDED
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kded.git;a=log;h=master

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 81ed995
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9c6dab9
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14a5c03
- rebuild against QT 5.15.7

* Mon Oct 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3f4bc14
- updated to 5.99.0

* Mon Sep 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 50801a3
- updated to 5.98.0

* Wed Aug 17 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a4f29b2
- relup

* Sun Aug 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 8855875
- updated to 5.97.0

* Sat Jul 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 44cba28
- updated to 5.96.0

* Tue Jun 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 258d8eb
- updated to 5.95.0

* Sat May 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7b72fdf
- updated to 5.94.0

* Tue Apr 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1465928
- updated to 5.93.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7f19687
- bcond_with tests

* Sun Mar 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4570437
- updated to 5.92.0

* Tue Mar 01 2022 Jakub Bogusz <qboosh@pld-linux.org> 7626dc9
- pl, updated URL

* Mon Feb 28 2022 Jakub Bogusz <qboosh@pld-linux.org> 69d2e30
- systemd epoch

* Wed Feb 16 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 14c4512
- updated to 5.91.0

* Sat Jan 08 2022 Jan Rękorajski <baggins@pld-linux.org> 5935be3
- add systemd user service startup

* Sat Jan 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7bd7428
- updated to 5.90.0

* Mon Dec 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> f6b5f0f
- updated to 5.89.0

* Sun Nov 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0de3155
- updated to 5.88.0

